# Created by: Boris Samorodov <bsam@FreeBSD.org>
# $FreeBSD: tags/RELEASE_9_3_0/devel/eric4/Makefile.inc 348127 2014-03-13 21:16:14Z bsam $
#
# This is a set of Makefile macros which allow to build the core and
# localized language packages for devel/eric4:
# french/eric4, german/eric4, russian/eric4

PORTNAME=	eric4
PORTVERSION=	4.5.20
MASTER_SITES=	SF/eric-ide/${PORTNAME}/stable/${PORTVERSION}
DISTNAME?=	${PORTNAME}-i18n-${I18N_LANG}-${PORTVERSION}
WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}

MAINTAINER?=	bsam@FreeBSD.org
COMMENT=	Full featured Python and Ruby editor and IDE based on Qt4

LICENSE=	GPLv3

RUN_DEPENDS?=	${PREFIX}/bin/eric4:${PORTSDIR}/devel/eric4

I18N_LANG?=	ru
INSTALL_CMD?=	install-i18n.py -p ${STAGEDIR}

USE_PYTHON=	yes
NO_BUILD=	yes
PLIST_FILES?=	%%DATADIR%%/i18n/${PORTNAME}_${I18N_LANG}.qm
EXTRA_PATCHES?=	${.CURDIR}/../../devel/eric4/files/extra-patch-install-i18n.py

do-install:
	@(cd ${WRKSRC}; \
	${SETENV} ${MAKE_ENV} ${PYTHON_CMD} ${INSTALL_CMD})

DESCR=		${.CURDIR}/../../devel/eric4/pkg-descr

.include <bsd.port.mk>
