#!/bin/sh
# $FreeBSD: tags/RELEASE_9_3_0/security/burpsuite/files/license.sh 307007 2012-11-05 12:51:58Z sbz $

# License agreement
more << EOF_LICENSE
Burpuite Free Edition Licence Agreement
Version 1.5

This licence agreement (Licence) is a legal agreement between you (Licensee or
you) and PORTSWIGGER LTD of 320 Garratt Lane, London, SW18 4EJ (Licensor or we)
for a suite of tools designed for web application security testers (Burp Suite
Free Edition or Software), which includes computer software, and the online
documentation current at the date of the download of this Licence
(Documentation).

BURP SUITE FREE EDITION REQUIRES A COMPUTER WITH A MINIMUM OF 2GB OF MEMORY AND
THE OFFICIAL JAVA RUNTIME ENVIRONMENT (VERSION 1.6 OR LATER). BY INSTALLING THE
SOFTWARE YOU AGREE TO THE TERMS OF THIS LICENCE AND THE TERMS AND CONDITIONS OF
THE LICENSOR WHICH WILL BIND YOU AND YOUR EMPLOYEES. IF YOU DO NOT AGREE TO THE
TERMS OF THIS LICENCE AND THE TERMS AND CONDITIONS, WE ARE UNWILLING TO LICENSE
THE SOFTWARE TO YOU AND YOU MUST DISCONTINUE THE INSTALLATION PROCESS NOW. IN
THIS CASE THE INSTALLATION WILL TERMINATE.

WARNING: BURP SUITE FREE EDITION IS DESIGNED TO TEST FOR SECURITY FLAWS AND CAN
DO DAMAGE TO TARGET SYSTEMS DUE TO THE NATURE OF ITS FUNCTIONALITY. TESTING FOR
SECURITY FLAWS INHERENTLY INVOLVES INTERACTING WITH TARGETS IN NON-STANDARD
WAYS WHICH CAN CAUSE PROBLEMS IN SOME VULNERABLE TARGETS. YOU MUST TAKE DUE
CARE WHEN USING THE SOFTWARE, YOU MUST READ ALL DOCUMENTATION BEFORE USE, YOU
SHOULD BACK UP TARGET SYSTEMS BEFORE USE AND YOU SHOULD NOT USE THE SOFTWARE ON
PRODUCTION SYSTEMS OR OTHER SYSTEMS FOR WHICH THE RISK OF DAMAGE IS NOT
ACCEPTED BY YOU.

1.    GRANT AND SCOPE OF LICENCE

1.1    In consideration of you agreeing to abide by the terms of this Licence,
the Licensor hereby grants to you a non-exclusive, non-transferable licence to
use the Software and the Documentation on the terms of this Licence.

1.2    You may either:

1.2.1    download, install and use the Software for your internal business
purposes (which includes bespoke client consultancy, if appropriate) only; and

1.2.1.1    make one copy of the Software for back-up purposes only, provided
that this is necessary for the activities permitted under condition 1.2.1;

1.2.1.2    receive and use any free supplementary software code or update of
the Software incorporating "patches" and corrections of errors as may be
provided by the Licensor from time to time on the basis that they are governed
by the terms of this Licence;

1.2.1.3    use any Documentation in support of the use permitted under
condition 1.2.1 and make such numbers of copies of the Documentation as are
reasonably necessary for its lawful use; and

1.2.1.4    analyse the behaviour and performance of the documented
functionality of the Software and disclose the findings of such analysis to any
party provided that such findings are provided simultaneously and in identical
form to the Licensor; or

1.2.2    transfer the Software to an end-user only provided that you procure
that the end-user is bound by the terms of this Licence Agreement for the
benefit of the Licensor and that you indemnify the Licensor against all costs
(including legal costs) charges and expenses incurred by the Licensor as a
result of the failure by you to comply with the provisions of this paragraph
and/or the transfer by you of the Software to the end-user.

1.3    If you are an end-user who has obtained lawfully the Software other than
by direct acquisition from the Licensor you may carry out the functions on the
terms specified in paragraph 1.3.1 above and, during the Licence Period, you
agree to be bound by this Licence Agreement directly in favour of the Licensor.

2.    LICENSEE'S WARRANTY AND UNDERTAKINGS

2.1    You warrant that you are not acquiring the Software as a consumer, but
will be using the software in your business.

2.2    Except as expressly set out in this Licence or as permitted by any local
law, you undertake:

2.2.1    not to use the Software or the Documentation for any unlawful
purposes, particularly as Burp Suite Free Edition contains functionality that
can be used to attack and compromise computer systems.

2.2.2    to obtain all necessary authorisations from system owners prior to
using Bup Suite Free Edition thereon;

2.2.3    unless agreed by the Licensor in writing not to copy the Software or
Documentation except where such copying is incidental to normal use of the
Software, or where it is necessary for the purpose of back-up or operational
security;

2.2.4    not to rent, lease, sub-license, loan, translate, merge, adapt, vary
or modify the Software or Documentation;

2.2.5    not to make alterations to, or modifications of, the whole or any part
of the Software, nor permit the Software or any part of it to be combined with,
or become incorporated in, any other programs;

2.2.6    not to disassemble, decompile, reverse engineer or create derivative
works based on, the whole or any part of the Software nor attempt to do any
such thing except to the extent that (by virtue of section 296A of the
Copyright, Designs and Patents Act 1988) such actions cannot be prohibited
because they are essential for the purpose of achieving inter-operability of
the Software with another software program, and provided that the information
obtained by you during such activities:

2.2.6.1    is used only for the purpose of achieving inter-operability of the
Software with another software program; and

2.2.6.2    is not unnecessarily disclosed or communicated without the
Licensor's prior written consent to any third party; and

2.2.6.3    is not used to create any software which is substantially similar to
the Software;

2.2.7    to supervise and control use of the Software and ensure that the
Software is used by your employees and representatives in accordance with the
terms of this Licence;

2.2.8    to replace the current version of the Software with any updated or
upgraded version or new release provided by the Licensor under the terms of
this Licence immediately on receipt;

2.2.9    to include the copyright notice of the Licensor on all entire and
partial copies you make of the Software on any medium;

2.2.10    not to provide or otherwise make available the Software in whole or
in part (including but not limited to program listings, object and source
program listings, object code and source code), in any form to any person other
than your employees without prior written consent from the Licensor;

2.2.11    unless specifically authorised by us in writing, not to use the
Software as part of an automated service offering to third parties;

2.2.12    not to engage in any activity, practice or conduct which would
constitute an offence under sections 1, 2, or 6 of the Bribery Act 2010, if
such activity, practice or conduct had been carried out in the UK;

2.2.13    to indemnify and keep indemnified the Licensor against all costs
(including legal costs), charges and expenses incurred by the Licensor as a
result of the failure by you to comply with the provisions of this Licence
Agreement.

3.    SUPPORT AND UPGRADES

Downloading Burp Suite Free Edition does not entitle you to any product
support. Although reasonable efforts may be made to support you if you are
experiencing problems or bugs or require feature enhancements, any support will
be provided at the Licensor’s sole discretion.

4.    INTELLECTUAL PROPERTY RIGHTS

4.1    You acknowledge that all intellectual property rights in the Software
and the Documentation anywhere in the world belong to the Licensor, that rights
in the Software are licensed (not sold) to you, and that you have no rights in,
or to, the Software or the Documentation other than the right to use them in
accordance with the terms of this Licence.

4.2    You acknowledge that you have no right to have access to the Software in
source code form

4.3    The integrity of this Software is protected by technical protection
measures (TPM) so that the intellectual property rights, including copyright,
in the Software of the Licensor are not misappropriated. You must not attempt
in any way to remove or circumvent any such TPM, nor apply or manufacture for
sale or hire, import, distribute, sell or let for hire, offer or expose for
sale or hire, advertise for sale or hire or have in your possession for priate
or commercial purposes any means the sole intended purpose of which is to
facilitate the unauthorised removal or circumvention of such TPM.

5.    LICENSOR’S WARRANTY

5.1    The Licensor warrants that for a period of 90 days from the download of
the Software (Warranty Period) the Software will, when properly used, perform
substantially in accordance with the functions described in the Documentation
(provided that the Software is properly used on the computer and with the
runtime environment for which it was designed as referred to herein).

5.2    You acknowledge that the Software has not been developed to meet your
individual requirements, and that it is therefore your responsibility to ensure
that the facilities and functions of the Software as described in the
Documentation meet your requirements.

5.3    You acknowledge that the Software may not be free of bugs or errors, and
agree that the existence of minor errors shall not constitute a breach of this
Licence.

5.4    If, within the Warranty Period, you notify the Licensor in writing of
any defect or fault in the Software in consequence of which it fails to perform
substantially in accordance with the Documentation, and such defect or fault
does not result from you having amended the Software or used it in
contravention of the terms of this Licence, the Licensor will, at its sole
option, either repair or replace the Software, provided that you make available
all the information that may be necessary to help the Licensor to remedy the
defect or fault, including sufficient information to enable the Licensor to
recreate the defect or fault.

6.    LICENSOR'S LIABILITY

YOUR ATTENTION IS DRAWN PARTICULARLY TO THE PROVISIONS OF THIS CONDITION

6.1    Nothing in this Licence shall limit or exclude the liability of either
party for death or personal injury resulting from negligence, fraud, fraudulent
misrepresentation.

6.2    Subject to condition 6.1, the Licensor's liability for losses suffered
by you arising out of or in connection with this agreement (including any
liability for the acts or omissions of its employees, agents and
subcontractors), whether arising in contract, tort (including negligence),
misrepresentation or otherwise, shall not include liability for:

6.2.1    loss of turnover, sales or income;

6.2.2    loss of business profits or contracts;

6.2.3    business interruption;

6.2.4    loss of the use of money or anticipated savings;

6.2.5    loss of information;

6.2.6    loss of opportunity, goodwill or reputation;

6.2.7    loss of, damage to or corruption of software or data; or

6.2.8    any indirect or consequential loss or damage of any kind howsoever
arising and whether caused by tort (including negligence), breach of contract
or otherwise;

provided that this condition 6.2 shall not prevent claims for loss of or damage
to your tangible property that fall within the terms of condition 5 or any
other claims for direct financial loss that are not excluded by any of
categories 6.2.1 to 6.2.8 inclusive of this condition 6.2.

6.3    Subject to condition 6.1, the Licensor's maximum aggregate liability
under or in connection with this Licence, or any collateral contract, whether
in contract, tort (including negligence) or otherwise, shall be limited to £50.

6.4    Subject to condition 6.1, condition 6.2 and condition 6.3, the
Licensor's liability for infringement of third-party intellectual property
rights shall be limited to breaches of rights subsisting in the UK.

6.5    This Licence sets out the full extent of the Licensor's obligations and
liabilities in respect of the supply of the Software. In particular, there are
no conditions, warranties, representations or other terms, express or implied,
that are binding on the Licensor except as specifically stated in this Licence.
Any condition, warranty, representation or other term concerning the supply of
the Software which might otherwise be implied into, or incorporated in, this
Licence, or any collateral contract, whether by statute, common law or
otherwise, is hereby excluded to the fullst extent permitted by law.

7.    TERMINATION

7.1    The Licensor may terminate this Licence immediately by written notice to
you if you commit a material or persistent breach of this Licence which you
fail to remedy (if remediable) within 14 days after the service of written
notice requiring you to do so.

7.2    Upon termination for any reason:

7.2.1    all rights granted to you under this Licence shall cease;

7.2.2    you must cease all activities authorised by this Licence; and

7.2.3    you must immediately delete or remove the Software from all computer
equipment in your possession, and immediately destroy or return to the Licensor
(at the Licensor's option) all copies of the Software then in your possession,
custody or control and, in the case of destruction, certify to the Licensor
that you have done so.

8.    TRANSFER OF RIGHTS AND OBLIGATIONS

8.1    This Licence is binding on you and us, and on our respective successors
and assigns.

8.2    You may not transfer, assign, charge or otherwise dispose of this
Licence, or any of your rights or obligations arising under it, without our
prior written consent.

8.3    We may transfer, assign, charge, sub-contract or otherwise dispose of
this Licence, or any of our rights or obligations arising under it, at any time
during the term of the Licence.

9.    NOTICES

All notices given by you to us must be given to PortSwigger Ltd at
office@portswigger.net or 320 Garratt Lane, London, SW18 4EJ. We may give
notice to you at either the e-mail or postal address you provided to us when
downloading the Software or provided in other communications from you to us.
Notice will be deemed received and properly served immediately when posted on
our website, 24 hours after an e-mail is sent, or three days after the date of
posting of any letter. In proving the service of any notice, it will be
sufficient to prove, in the case of a letter, that such letter was properly
addressed, stamped and placed in the post and, in the case of an e-mail, that
such e-mail was sent to the specified e-mail address of the addressee.

10.    EVENTS OUTSIDE OUR CONTROL

10.1    We will not be liable or responsible for any failure to perform, or
delay in performance of, any of our obligations under this Licence that is
caused by events outside our reasonable control (Force Majeure Event).

10.2    A Force Majeure Event includes any act, event, non-happening, omission
or accident beyond our reasonable control and includes in particular (without
limitation) the following:

10.2.1    strikes, lock-outs or other industrial action;

10.2.2    civil commotion, riot, invasion, terrorist attack or threat of
terrorist attack, war (whether declared or not) or threat or preparation for
war;

10.2.3    fire, explosion, storm, flood, earthquake, subsidence, epidemic or
other natural disaster;

10.2.4    impossibility of the use of railways, shipping, aircraft, motor
transport or other means of public or private transport;

10.2.5    impossibility of the use of public or private telecommunications
networks;

10.2.6    the acts, decrees, legislation, regulations or restrictions of any
government.

10.3    Our performance under this Licence is deemed to be suspended for the
period that the Force Majeure Event continues, and we will have an extension of
time for performance for the duration of that period. We will use our
reasonable endeavours to bring the Force Majeure Event to a close or to find a
solution by which our obligations under this Licence may be performed despite
the Force Majeure Event.

11.    WAIVER

11.1    If we fail, at any time during the term of this Licence, to insist upon
strict performance of any of your obligations uncence, or if we fail to
exercise any of the rights or remedies to which we are entitled under this
Licence, this shall not consthts or remedies and shall not relieve you from
compliance with such obligations.

11.2    A waiver by us of any default shall nosubsequent default.

11.3    No waiver by us of any of these terms and conditions shall be effective
unless it is expressly stat is communicated to you in writing.

12.    SEVERABILITY

If any of the terms of this Licence are determined by any competent au
unenforceable to any extent, such term, condition or provision will to that
extent be severed from the remaining terms, conditisions which will continue to
be valid to the fullest extent permitted by law.

13.    ENTIRE AGREEMENT

13.1    This Licence andany document expressly referred to in it represents the
entire agreement between us in relation to the licensing of the Software and
the Documentation and supersedes any prior agreement, understanding or
arrangement between us, whether oral or in writing.

13.2    We each acknowledge that, in entering into this Licence, neither of us
has relied on any representation, undertaking or promise given by the other or
implied from anything said or written in negotiations between us prior to
entering into this Licence except as expressly stated in this Licence.

13.3    Neither of us shall have any remedy in respect of any untrue statement
made by the other, whether orally or in writing, prior to the date we entered
into this Licence (unless such untrue statement was made fraudulently) and the
other party's only remedy shall be for breach of contract as provided in these
terms and conditions.

14.    LAW AND JURISDICTION

This Licence, its subject matter or its formation (including non-contractual
disputes or claims) shall be governed by and construed in accordance with
English law and submitted to the exclusive jurisdiction of the English courts.
EOF_LICENSE

agreed=
while [ x$agreed = x ]; do
        echo
        echo "Do you agree to the above license terms? [yes or no] "
        read reply leftover
        case $reply in
                y* | Y*)
                        agreed=1
                        ;;
                n* | n*)
                        echo
                        echo "If you don't agree to the license you can't use this software"
                        exit 1
                        ;;
        esac
done
